<template>
    <div class="container-fluid">

        <!-- Vertical Layout | With Floating Label -->
        <div class="row clearfix">
            <form action="javascript:void(0)" ref="update" @submit="update" method="post">
                <div class="col-lg-8 col-md-12 col-sm-12 col-xs-12">
                    <div class="card">
                        <div class="header">
                            <h2>
                                Update Sub-Category
                            </h2>
                        </div>
                        <div class="body">
                            <div class="form-group">
                                <div class="form-line">
                                    <label for="categories">Categories</label>
                                    <select required v-model="catids" id="categories" name="categories[]" multiple class="form-control">
                                        <option v-for="category in categories" :value="category.id">{{category.name}}</option>
                                    </select>
                                </div>
                            </div>
                            <div class="form-group form-float">
                                <div class="form-line">
                                    <input type="text" required id="name" v-model="subCategory.name" class="form-control" name="name" >
                                </div>
                            </div>
                            <div class="card">
                                <div class="header">
                                </div>
                                <a class="btn btn-danger m-t-15 waves-effect" @click="back('subCategoryView')">Back</a>
                                <button type="submit" class="btn btn-primary m-t-15 waves-effect">Update</button>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </div>
        <!-- Vertical Layout | With Floating Label -->
    </div>
</template>
<script>
    export default {
        props:{
            subCategory:{
                type: Object,
                required: true,
            },
        },
        created(){
            this.category();
        },
        mounted() {
            this.subCategory.categories.forEach((value,key)=>{
                this.catids.push(value.id);
            });
        },
        data() {
            return{
                categories:{},
                catids:[]
            }
        },
        methods:{
            category(){
                axios.get('/admin/category').then((response)=>{
                    this.categories=response.data;
                }).catch((error)=>{
                    this.categories={};
                });
            },
            update(){
                axios.post(`/admin/sub/category/update${this.subCategory.id}`,new FormData(this.$refs.update)).then((response) => {
                    this.$toaster.success(response.data);
                }).catch((error)=>{
                    if (error.response.status === 422) this.$toaster.error(error.response.data.errors);
                    else this.$toaster.error(error);
                });
            },
            back(text){
                this.$emit('sent',text);
            }
        }
    }
</script>
